Subject: Re: .gitattributes not forcing EOLs correctly for a CRLF-ending file on *NIX

From: Adam Monsen <[email-masked]>
Date: Fri, 22 Jul 2011 08:56:27 -0500

I wrote:
> Anyone have ideas why my .gitattributes file isn't working?

drizzd on #git helped me out!

I went ahead and committed the file, and git replaced the line endings.
drizzd said the repository (the file object, I guess?) contained a file
with CRLF line endings, instead of LF line endings. But in my
checked-out version, I correctly see a file with CRLF line endings. Yay!

I generally follow the advice at http://help.github.com/line-endings/ in
terms of the core.autocrlf setting.